telemetry.internal.util.camel_case | index telemetry/internal/util/camel_case.py

`# Copyright 2013 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.`

Modules
`` |  |
re |  |  |

Functions
`` |  | ToUnderscore(obj) `Converts a string, list, or dict from camelCase to lower_with_underscores. Descends recursively into lists and dicts, converting all dict keys. Returns a newly allocated object of the same structure as the input.`